Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1495384 - Gluster 3.12.1 Packages require manual systemctl daemon reload after install
Summary: Gluster 3.12.1 Packages require manual systemctl daemon reload after install
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: packaging
Version: mainline
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kaleb KEITHLEY
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1497989 1497990
TreeView+ depends on / blocked
 
Reported: 2017-09-26 00:27 UTC by Sam McLeod
Modified: 2020-10-02 11:08 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.13.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1497989 1497990 (view as bug list)
Environment:
Last Closed: 2017-12-08 17:41:21 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Sam McLeod 2017-09-26 00:27:08 UTC
Description of problem:

I was testing the 3.12.1 packages for the CentOS Gluster SIG and noticed that there were warnings during the install that glusterd.service changed on disk and a systemctl daemon-reload was required.
I believe this should be performed as part of the package install rather than something the end user (or automation) is required to run manually post-install.

Version-Release number of selected component (if applicable):

gluster312-1.0-1.el7

How reproducible:

Every install of the 3.12.1-1 packages.

Steps to Reproduce:

As below, however the packages should now be available in the main storage SIG repo (or it's RHEL equivalent) (http://mirror.centos.org/centos/7/storage/x86_64/gluster-3.12/).

Actual results:

A manual systemctl daemon-reload was required post-install.

Expected results:

The installer to issue a daemon-reload to systemctl during install.


Additional info:


root@int-gluster-01:/var/tmp  # yum install centos-release-gluster312-1.0-1.el7.centos.noarch.rpm
Loaded plugins: fastestmirror, protectbase, rpm-warm-cache, versionlock
Examining centos-release-gluster312-1.0-1.el7.centos.noarch.rpm: centos-release-gluster312-1.0-1.el7.centos.noarch
Marking centos-release-gluster312-1.0-1.el7.centos.noarch.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package centos-release-gluster312.noarch 0:1.0-1.el7.centos will be installed
--> Processing Dependency: centos-release-storage-common for package: centos-release-gluster312-1.0-1.el7.centos.noarch
Loading mirror speeds from cached hostfile
 * epel: epel.mirror.digitalpacific.com.au
0 packages excluded due to repository protections
--> Running transaction check
---> Package centos-release-storage-common.noarch 0:1-2.el7.centos will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================================================
 Package                                  Arch              Version                       Repository                                                     Size
==============================================================================================================================================================
Installing:
 centos-release-gluster312                noarch            1.0-1.el7.centos              /centos-release-gluster312-1.0-1.el7.centos.noarch            588
Installing for dependencies:
 centos-release-storage-common            noarch            1-2.el7.centos                extras                                                        4.5 k

Transaction Summary
==============================================================================================================================================================
Install  1 Package (+1 Dependent package)

Total size: 5.1 k
Total download size: 4.5 k
Installed size: 1.6 k
Is this ok [y/d/N]: y
Downloading packages:
centos-release-storage-common-1-2.el7.centos.noarch.rpm                                                                                | 4.5 kB  00:00:00
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : centos-release-storage-common-1-2.el7.centos.noarch                                                                                        1/2
  Installing : centos-release-gluster312-1.0-1.el7.centos.noarch                                                                                          2/2
  Verifying  : centos-release-storage-common-1-2.el7.centos.noarch                                                                                        1/2
  Verifying  : centos-release-gluster312-1.0-1.el7.centos.noarch                                                                                          2/2

Installed:
  centos-release-gluster312.noarch 0:1.0-1.el7.centos

Dependency Installed:
  centos-release-storage-common.noarch 0:1-2.el7.centos

Complete!


root@int-gluster-01:/var/tmp  # yum --enablerepo=centos-gluster312-test update glusterfs-fuse
Loaded plugins: fastestmirror, protectbase, rpm-warm-cache, versionlock
centos-gluster312                                                                                                                      | 2.9 kB  00:00:00
centos-gluster312-test                                                                                                                 | 2.9 kB  00:00:00
(1/2): centos-gluster312/7/x86_64/primary_db                                                                                           |  26 kB  00:00:00
(2/2): centos-gluster312-test/7/x86_64/primary_db                                                                                      |  50 kB  00:00:01
Loading mirror speeds from cached hostfile
 * epel: epel.mirror.digitalpacific.com.au
0 packages excluded due to repository protections
Resolving Dependencies
--> Running transaction check
---> Package glusterfs-fuse.x86_64 0:3.12.0-1.el7 will be updated
--> Processing Dependency: glusterfs-fuse = 3.12.0-1.el7 for package: glusterfs-server-3.12.0-1.el7.x86_64
---> Package glusterfs-fuse.x86_64 0:3.12.1-1.el7 will be an update
--> Processing Dependency: glusterfs-client-xlators = 3.12.1-1.el7 for package: glusterfs-fuse-3.12.1-1.el7.x86_64
--> Processing Dependency: glusterfs = 3.12.1-1.el7 for package: glusterfs-fuse-3.12.1-1.el7.x86_64
--> Running transaction check
---> Package glusterfs.x86_64 0:3.12.0-1.el7 will be updated
--> Processing Dependency: glusterfs = 3.12.0-1.el7 for package: glusterfs-api-3.12.0-1.el7.x86_64
---> Package glusterfs.x86_64 0:3.12.1-1.el7 will be an update
--> Processing Dependency: glusterfs-libs = 3.12.1-1.el7 for package: glusterfs-3.12.1-1.el7.x86_64
---> Package glusterfs-client-xlators.x86_64 0:3.12.0-1.el7 will be updated
---> Package glusterfs-client-xlators.x86_64 0:3.12.1-1.el7 will be an update
---> Package glusterfs-server.x86_64 0:3.12.0-1.el7 will be updated
---> Package glusterfs-server.x86_64 0:3.12.1-1.el7 will be an update
--> Processing Dependency: glusterfs-cli = 3.12.1-1.el7 for package: glusterfs-server-3.12.1-1.el7.x86_64
--> Running transaction check
---> Package glusterfs-api.x86_64 0:3.12.0-1.el7 will be updated
---> Package glusterfs-api.x86_64 0:3.12.1-1.el7 will be an update
---> Package glusterfs-cli.x86_64 0:3.12.0-1.el7 will be updated
---> Package glusterfs-cli.x86_64 0:3.12.1-1.el7 will be an update
---> Package glusterfs-libs.x86_64 0:3.12.0-1.el7 will be updated
---> Package glusterfs-libs.x86_64 0:3.12.1-1.el7 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================================================
 Package                                      Arch                       Version                             Repository                                  Size
==============================================================================================================================================================
Updating:
 glusterfs-fuse                               x86_64                     3.12.1-1.el7                        centos-gluster312-test                     139 k
Updating for dependencies:
 glusterfs                                    x86_64                     3.12.1-1.el7                        centos-gluster312-test                     557 k
 glusterfs-api                                x86_64                     3.12.1-1.el7                        centos-gluster312-test                      96 k
 glusterfs-cli                                x86_64                     3.12.1-1.el7                        centos-gluster312-test                     195 k
 glusterfs-client-xlators                     x86_64                     3.12.1-1.el7                        centos-gluster312-test                     852 k
 glusterfs-libs                               x86_64                     3.12.1-1.el7                        centos-gluster312-test                     398 k
 glusterfs-server                             x86_64                     3.12.1-1.el7                        centos-gluster312-test                     1.2 M

Transaction Summary
==============================================================================================================================================================
Upgrade  1 Package (+6 Dependent packages)

Total download size: 3.4 M
Is this ok [y/d/N]: y
Downloading packages:
No Presto metadata available for centos-gluster312-test
(1/7): glusterfs-api-3.12.1-1.el7.x86_64.rpm                                                                                           |  96 kB  00:00:04
(2/7): glusterfs-3.12.1-1.el7.x86_64.rpm                                                                                               | 557 kB  00:00:04
(3/7): glusterfs-cli-3.12.1-1.el7.x86_64.rpm                                                                                           | 195 kB  00:00:01
(4/7): glusterfs-client-xlators-3.12.1-1.el7.x86_64.rpm                                                                                | 852 kB  00:00:01
(5/7): glusterfs-fuse-3.12.1-1.el7.x86_64.rpm                                                                                          | 139 kB  00:00:01
(6/7): glusterfs-libs-3.12.1-1.el7.x86_64.rpm                                                                                          | 398 kB  00:00:01
(7/7): glusterfs-server-3.12.1-1.el7.x86_64.rpm                                                                                        | 1.2 MB  00:00:01
--------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                         392 kB/s | 3.4 MB  00:00:08
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Updating   : glusterfs-libs-3.12.1-1.el7.x86_64                                                                                                        1/14
  Updating   : glusterfs-client-xlators-3.12.1-1.el7.x86_64                                                                                              2/14
  Updating   : glusterfs-3.12.1-1.el7.x86_64                                                                                                             3/14
  Updating   : glusterfs-fuse-3.12.1-1.el7.x86_64                                                                                                        4/14
  Updating   : glusterfs-api-3.12.1-1.el7.x86_64                                                                                                         5/14
  Updating   : glusterfs-cli-3.12.1-1.el7.x86_64                                                                                                         6/14
  Updating   : glusterfs-server-3.12.1-1.el7.x86_64                                                                                                      7/14
warning: /var/lib/glusterd/vols/my-volume-01/my-volume-01.int-gluster-02.rstd.int.ix.org.au.mnt-gluster-storage-my-volume-01.vol saved as /var/lib/glusterd/vols/my-volume-01/my-volume-01.int-gluster-02.rstd.int.ix.org.au.mnt-gluster-storage-my-volume-01.vol.rpmsave
warning: /var/lib/glusterd/vols/my-volume-01/my-volume-01.tcp-fuse.vol saved as /var/lib/glusterd/vols/my-volume-01/my-volume-01.tcp-fuse.vol.rpmsave
warning: /var/lib/glusterd/vols/my-volume-01/my-volume-01.int-gluster-01.rstd.int.ix.org.au.mnt-gluster-storage-my-volume-01.vol saved as /var/lib/glusterd/vols/my-volume-01/my-volume-01.int-gluster-01.rstd.int.ix.org.au.mnt-gluster-storage-my-volume-01.vol.rpmsave
warning: /var/lib/glusterd/vols/my-volume-01/trusted-my-volume-01.tcp-fuse.vol saved as /var/lib/glusterd/vols/my-volume-01/trusted-my-volume-01.tcp-fuse.vol.rpmsave
warning: /var/lib/glusterd/vols/my-volume-01/my-volume-01.int-gluster-03.rstd.int.ix.org.au.mnt-gluster-storage-my-volume-01.vol saved as /var/lib/glusterd/vols/my-volume-01/my-volume-01.int-gluster-03.rstd.int.ix.org.au.mnt-gluster-storage-my-volume-01.vol.rpmsave

###### Above warnings repeated for every volume ######


Warning: glusterd.service changed on disk. Run 'systemctl daemon-reload' to reload units.
Warning: glusterd.service changed on disk. Run 'systemctl daemon-reload' to reload units.
  Cleanup    : glusterfs-server-3.12.0-1.el7.x86_64                                                                                                      8/14
  Cleanup    : glusterfs-api-3.12.0-1.el7.x86_64                                                                                                         9/14
  Cleanup    : glusterfs-fuse-3.12.0-1.el7.x86_64                                                                                                       10/14
  Cleanup    : glusterfs-3.12.0-1.el7.x86_64                                                                                                            11/14
  Cleanup    : glusterfs-client-xlators-3.12.0-1.el7.x86_64                                                                                             12/14
  Cleanup    : glusterfs-cli-3.12.0-1.el7.x86_64                                                                                                        13/14
  Cleanup    : glusterfs-libs-3.12.0-1.el7.x86_64                                                                                                       14/14
  Verifying  : glusterfs-client-xlators-3.12.1-1.el7.x86_64                                                                                              1/14
  Verifying  : glusterfs-fuse-3.12.1-1.el7.x86_64                                                                                                        2/14
  Verifying  : glusterfs-libs-3.12.1-1.el7.x86_64                                                                                                        3/14
  Verifying  : glusterfs-api-3.12.1-1.el7.x86_64                                                                                                         4/14
  Verifying  : glusterfs-cli-3.12.1-1.el7.x86_64                                                                                                         5/14
  Verifying  : glusterfs-3.12.1-1.el7.x86_64                                                                                                             6/14
  Verifying  : glusterfs-server-3.12.1-1.el7.x86_64                                                                                                      7/14
  Verifying  : glusterfs-3.12.0-1.el7.x86_64                                                                                                             8/14
  Verifying  : glusterfs-server-3.12.0-1.el7.x86_64                                                                                                      9/14
  Verifying  : glusterfs-libs-3.12.0-1.el7.x86_64                                                                                                       10/14
  Verifying  : glusterfs-client-xlators-3.12.0-1.el7.x86_64                                                                                             11/14
  Verifying  : glusterfs-cli-3.12.0-1.el7.x86_64                                                                                                        12/14
  Verifying  : glusterfs-fuse-3.12.0-1.el7.x86_64                                                                                                       13/14
  Verifying  : glusterfs-api-3.12.0-1.el7.x86_64                                                                                                        14/14

Updated:
  glusterfs-fuse.x86_64 0:3.12.1-1.el7

Dependency Updated:
  glusterfs.x86_64 0:3.12.1-1.el7                           glusterfs-api.x86_64 0:3.12.1-1.el7             glusterfs-cli.x86_64 0:3.12.1-1.el7
  glusterfs-client-xlators.x86_64 0:3.12.1-1.el7            glusterfs-libs.x86_64 0:3.12.1-1.el7            glusterfs-server.x86_64 0:3.12.1-1.el7

Complete!


root@int-gluster-01:/var/tmp  # rpm -qa | grep gluster
centos-release-gluster312-1.0-1.el7.centos.noarch
glusterfs-fuse-3.12.1-1.el7.x86_64
gluster-nagios-addons-1.1.0-0.el7.centos.x86_64
glusterfs-libs-3.12.1-1.el7.x86_64
glusterfs-3.12.1-1.el7.x86_64
glusterfs-api-3.12.1-1.el7.x86_64
glusterfs-server-3.12.1-1.el7.x86_64
gluster-nagios-common-1.1.0-0.el7.centos.noarch
glusterfs-client-xlators-3.12.1-1.el7.x86_64
glusterfs-cli-3.12.1-1.el7.x86_64


root@int-gluster-01:/var/tmp  # yum info glusterfs
Loaded plugins: fastestmirror, protectbase, rpm-warm-cache, versionlock
Loading mirror speeds from cached hostfile
 * epel: epel.mirror.digitalpacific.com.au
0 packages excluded due to repository protections
Installed Packages
Name        : glusterfs
Arch        : x86_64
Version     : 3.12.1
Release     : 1.el7
Size        : 1.9 M
Repo        : installed
From repo   : centos-gluster312-test
Summary     : Distributed File System
URL         : http://gluster.readthedocs.io/en/latest/
License     : GPLv2 or LGPLv3+
Description : GlusterFS is a distributed file-system capable of scaling to several
            : petabytes. It aggregates various storage bricks over Infiniband RDMA
            : or TCP/IP interconnect into one large parallel network file
            : system. GlusterFS is one of the most sophisticated file systems in
            : terms of features and extensibility.  It borrows a powerful concept
            : called Translators from GNU Hurd kernel. Much of the code in GlusterFS
            : is in user space and easily manageable.
            :
            : This package includes the glusterfs binary, the glusterfsd daemon and the
            : libglusterfs and glusterfs translator modules common to both GlusterFS server
            : and client framework.


root@int-gluster-01:/var/tmp  # systemctl status glusterfsd
● glusterfsd.service - GlusterFS brick processes (stopping only)
   Loaded: loaded (/usr/lib/systemd/system/glusterfsd.service; disabled; vendor preset: disabled)
  Drop-In: /etc/systemd/system/glusterfsd.service.d
           └─require-mount-mntgluster-storage.conf
   Active: inactive (dead)
root@int-gluster-01:/var/tmp 3 # systemctl status glusterd
● glusterd.service - GlusterFS, a clustered file-system server
   Loaded: loaded (/usr/lib/systemd/system/glusterd.service; enabled; vendor preset: disabled)
  Drop-In: /etc/systemd/system/glusterd.service.d
           └─require-mount-mntgluster-storage.conf
   Active: active (running) since Mon 2017-09-25 10:30:46 AEST; 3min 35s ago
  Process: 26527 ExecStart=/usr/sbin/glusterd -p /var/run/glusterd.pid --log-level $LOG_LEVEL $GLUSTERD_OPTIONS (code=exited, status=0/SUCCESS)
 Main PID: 26528 (glusterd)
   CGroup: /system.slice/glusterd.service
           ├─20325 /usr/sbin/glusterfsd -s int-gluster-01.rstd.int.ix.org.au --volfile-id simpleapp_storage.int-gluster-01.rstd.int.ix.org.au.mnt-gluster-s...
           ├─26528 /usr/sbin/glusterd -p /var/run/glusterd.pid --log-level WARNING
           └─26568 /usr/sbin/glusterfs -s localhost --volfile-id gluster/glustershd -p /var/run/gluster/glustershd/glustershd.pid -l /var/log/glusterfs/glu...

Sep 25 10:30:45 int-gluster-01 systemd[1]: Starting GlusterFS, a clustered file-system server...
Sep 25 10:30:46 int-gluster-01 systemd[1]: Started GlusterFS, a clustered file-system server.
Warning: glusterd.service changed on disk. Run 'systemctl daemon-reload' to reload units.

root@int-gluster-01:/var/tmp  # systemctl daemon-reload

root@int-gluster-01:/var/tmp  # systemctl status glusterd
● glusterd.service - GlusterFS, a clustered file-system server
   Loaded: loaded (/usr/lib/systemd/system/glusterd.service; enabled; vendor preset: disabled)
  Drop-In: /etc/systemd/system/glusterd.service.d
           └─require-mount-mntgluster-storage.conf
   Active: active (running) since Mon 2017-09-25 10:30:46 AEST; 3min 43s ago
 Main PID: 26528 (glusterd)
   CGroup: /system.slice/glusterd.service
           ├─20325 /usr/sbin/glusterfsd -s int-gluster-01.rstd.int.ix.org.au --volfile-id simpleapp_storage.int-gluster-01.rstd.int.ix.org.au.mnt-gluster-s...
           ├─26528 /usr/sbin/glusterd -p /var/run/glusterd.pid --log-level WARNING
           └─26568 /usr/sbin/glusterfs -s localhost --volfile-id gluster/glustershd -p /var/run/gluster/glustershd/glustershd.pid -l /var/log/glusterfs/glu...

Sep 25 10:30:45 int-gluster-01 systemd[1]: Starting GlusterFS, a clustered file-system server...
Sep 25 10:30:46 int-gluster-01 systemd[1]: Started GlusterFS, a clustered file-system server.

root@int-gluster-01:/var/tmp  # systemctl restart glusterd

root@int-gluster-01:/var/tmp  # systemctl status glusterd
● glusterd.service - GlusterFS, a clustered file-system server
   Loaded: loaded (/usr/lib/systemd/system/glusterd.service; enabled; vendor preset: disabled)
  Drop-In: /etc/systemd/system/glusterd.service.d
           └─require-mount-mntgluster-storage.conf
   Active: active (running) since Mon 2017-09-25 10:34:35 AEST; 1s ago
  Process: 27187 ExecStart=/usr/sbin/glusterd -p /var/run/glusterd.pid --log-level $LOG_LEVEL $GLUSTERD_OPTIONS (code=exited, status=0/SUCCESS)
 Main PID: 27188 (glusterd)
   CGroup: /system.slice/glusterd.service
           ├─20325 /usr/sbin/glusterfsd -s int-gluster-01.rstd.int.ix.org.au --volfile-id simpleapp_storage.int-gluster-01.rstd.int.ix.org.au.mnt-gluster-s...
           ├─26568 /usr/sbin/glusterfs -s localhost --volfile-id gluster/glustershd -p /var/run/gluster/glustershd/glustershd.pid -l /var/log/glusterfs/glu...
           └─27188 /usr/sbin/glusterd -p /var/run/glusterd.pid --log-level WARNING

Sep 25 10:34:34 int-gluster-01 systemd[1]: Starting GlusterFS, a clustered file-system server...
Sep 25 10:34:35 int-gluster-01 systemd[1]: Started GlusterFS, a clustered file-system server.

Comment 1 Niels de Vos 2017-09-26 08:11:24 UTC
I think we should use the scriptlets provided by systemd:

  https://fedoraproject.org/wiki/Packaging:Scriptlets?rd=Packaging:ScriptletSnippets#Systemd

Comment 2 Worker Ant 2017-10-02 14:51:16 UTC
REVIEW: https://review.gluster.org/18418 (packaging: manual systemctl daemon reload required after install) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 3 Worker Ant 2017-10-03 09:53:54 UTC
COMMIT: https://review.gluster.org/18418 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit faf5939307cafe262ee2135621e1d3e173087e06
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon Oct 2 10:44:59 2017 -0400

    packaging: manual systemctl daemon reload required after install
    
    Use the %systemd_{post,preun,postun_with_restart} macros provided
    
    I tried both install and update from 3.10.x and did not receive
    any warnings about needing daemon reload
    
    Reported-by: Sam McLeod <rhbugs@auto.smcleod.net>
    
    Change-Id: Ibb33a748fc4226864019765b59d1a154b7297bae
    BUG: 1495384
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>

Comment 4 Worker Ant 2017-10-04 18:36:11 UTC
REVIEW: https://review.gluster.org/18432 (packaging: manual systemctl daemon reload required after install) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 5 Worker Ant 2017-10-06 11:32:20 UTC
REVIEW: https://review.gluster.org/18432 (packaging: manual systemctl daemon reload required after install) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 6 Worker Ant 2017-10-06 15:25:58 UTC
REVIEW: https://review.gluster.org/18432 (packaging: manual systemctl daemon reload required after install) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 7 Worker Ant 2017-10-06 17:07:05 UTC
REVIEW: https://review.gluster.org/18432 (packaging: manual systemctl daemon reload required after install) posted (#4) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 8 Worker Ant 2017-10-09 15:32:05 UTC
REVIEW: https://review.gluster.org/18432 (packaging: manual systemctl daemon reload required after install) posted (#5) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 9 Worker Ant 2017-10-11 13:31:26 UTC
REVIEW: https://review.gluster.org/18432 (packaging: manual systemctl daemon reload required after install) posted (#6) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 10 Worker Ant 2017-10-13 02:41:45 UTC
REVIEW: https://review.gluster.org/18432 (packaging: manual systemctl daemon reload required after install) posted (#7) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 11 Worker Ant 2017-10-13 19:12:08 UTC
COMMIT: https://review.gluster.org/18432 committed in master by Jeff Darcy (jeff@pl.atyp.us) 
------
commit 68d80f44a3a33050241b025476c8e171018f0edf
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Wed Oct 4 14:22:05 2017 -0400

    packaging: manual systemctl daemon reload required after install
    
    Use the %systemd_{post,preun,postun_with_restart} macros provided.
    
    Previous fix failed to build on koji Fedora 27 and 28 despite building
    successfully in on Fedora 2x and CentOS 6 in jenkins and Fedora 25 and
    26 in koji (but with late warnings emitted at the end of the build.)
    
    Examination of the scriptlets (e.g. `rpm -qp --scripts glusterfs-server.rpm`)
    revealed some ugliness that is addressed by the using %{nil} lines instead
    of " ;"
    
    After this, builds on CentOS 6, and old Fedora 27 rawhide, and koji f27 worked
    without warnings or errors about macro recursion. Visual inspection of the
    scripts appears correct. Fresh installs on CentOS 6 and Fedora 27 rawhide worked.
    Updates from glusterfs-3.12.1 worked.
    
    Reported-by: Sam McLeod <rhbugs@auto.smcleod.net>
    
    Change-Id: I84e9dbc6ccd17cdfc2f7c025bdbf61e92523da79
    BUG: 1495384
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>

Comment 12 Shyamsundar 2017-12-08 17:41:21 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.13.0, please open a new bug report.

glusterfs-3.13.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://lists.gluster.org/pipermail/announce/2017-December/000087.html
[2] https://www.gluster.org/pipermail/gluster-users/


Note You need to log in before you can comment on or make changes to this bug.